-- MySQL Script generated by MySQL Workbench
-- Fri Mar 26 04:50:10 2021
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
-- -----------------------------------------------------
-- Schema bdguiaremision
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `bdguiaremision` ;

-- -----------------------------------------------------
-- Schema bdguiaremision
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `bdguiaremision` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci ;
USE `bdguiaremision` ;

-- -----------------------------------------------------
-- Table `failed_jobs`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `failed_jobs` ;

CREATE TABLE IF NOT EXISTS `failed_jobs` (
  `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
  `uuid` VARCHAR(191) NOT NULL,
  `connection` TEXT NOT NULL,
  `queue` TEXT NOT NULL,
  `payload` LONGTEXT NOT NULL,
  `exception` LONGTEXT NOT NULL,
  `failed_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `failed_jobs_uuid_unique` (`uuid` ASC) VISIBLE)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_unicode_ci;


-- -----------------------------------------------------
-- Table `migrations`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `migrations` ;

CREATE TABLE IF NOT EXISTS `migrations` (
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `migration` VARCHAR(191) NOT NULL,
  `batch` INT NOT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 7
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_unicode_ci;


-- -----------------------------------------------------
-- Table `password_resets`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `password_resets` ;

CREATE TABLE IF NOT EXISTS `password_resets` (
  `email` VARCHAR(191) NOT NULL,
  `token` VARCHAR(191) NOT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  INDEX `password_resets_email_index` (`email` ASC) VISIBLE)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_unicode_ci;


-- -----------------------------------------------------
-- Table `personal_access_tokens`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `personal_access_tokens` ;

CREATE TABLE IF NOT EXISTS `personal_access_tokens` (
  `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
  `tokenable_type` VARCHAR(191) NOT NULL,
  `tokenable_id` BIGINT UNSIGNED NOT NULL,
  `name` VARCHAR(191) NOT NULL,
  `token` VARCHAR(64) NOT NULL,
  `abilities` TEXT NULL DEFAULT NULL,
  `last_used_at` TIMESTAMP NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `personal_access_tokens_token_unique` (`token` ASC) VISIBLE,
  INDEX `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type` ASC, `tokenable_id` ASC) VISIBLE)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_unicode_ci;


-- -----------------------------------------------------
-- Table `sessions`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `sessions` ;

CREATE TABLE IF NOT EXISTS `sessions` (
  `id` VARCHAR(191) NOT NULL,
  `user_id` BIGINT UNSIGNED NULL DEFAULT NULL,
  `ip_address` VARCHAR(45) NULL DEFAULT NULL,
  `user_agent` TEXT NULL DEFAULT NULL,
  `payload` TEXT NOT NULL,
  `last_activity` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `sessions_user_id_index` (`user_id` ASC) VISIBLE,
  INDEX `sessions_last_activity_index` (`last_activity` ASC) VISIBLE)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_unicode_ci;


-- -----------------------------------------------------
-- Table `tipousers`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tipousers` ;

CREATE TABLE IF NOT EXISTS `tipousers` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `tipo` VARCHAR(100) NOT NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `users`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `users` ;

CREATE TABLE IF NOT EXISTS `users` (
  `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(191) NOT NULL,
  `email` VARCHAR(191) NOT NULL,
  `email_verified_at` TIMESTAMP NULL DEFAULT NULL,
  `password` VARCHAR(191) NOT NULL,
  `two_factor_secret` TEXT NULL DEFAULT NULL,
  `two_factor_recovery_codes` TEXT NULL DEFAULT NULL,
  `remember_token` VARCHAR(100) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  `tipousers_id` INT NOT NULL,
  `estado` VARCHAR(15) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `users_email_unique` (`email` ASC) VISIBLE,
  INDEX `fk_users_tipousers_idx` (`tipousers_id` ASC) VISIBLE,
  CONSTRAINT `fk_users_tipousers`
    FOREIGN KEY (`tipousers_id`)
    REFERENCES `tipousers` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 2
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_unicode_ci;


-- -----------------------------------------------------
-- Table `persona`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `persona` ;

CREATE TABLE IF NOT EXISTS `persona` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `dni` CHAR(11) NOT NULL,
  `nombre` VARCHAR(450) NOT NULL,
  `apellido` VARCHAR(450) NOT NULL,
  `numlicencia` VARCHAR(450) NULL,
  `urlperfil` VARCHAR(1000) NOT NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  `users_id` BIGINT UNSIGNED NOT NULL,
  `estado` VARCHAR(15) NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_persona_users1_idx` (`users_id` ASC) VISIBLE,
  CONSTRAINT `fk_persona_users1`
    FOREIGN KEY (`users_id`)
    REFERENCES `users` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tipoempresa`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tipoempresa` ;

CREATE TABLE IF NOT EXISTS `tipoempresa` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `tipo` VARCHAR(450) NOT NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `empresa`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `empresa` ;

CREATE TABLE IF NOT EXISTS `empresa` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `ruc` CHAR(11) NOT NULL,
  `nombre` VARCHAR(1000) NOT NULL,
  `direccion` VARCHAR(1000) NOT NULL,
  `referencia` VARCHAR(10000) NULL,
  `numcontacto` VARCHAR(45) NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  `users_id` BIGINT UNSIGNED NULL,
  `tipoempresa_id` INT NOT NULL,
  `estado` VARCHAR(15) NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_empresa_users1_idx` (`users_id` ASC) VISIBLE,
  INDEX `fk_empresa_tipoempresa1_idx` (`tipoempresa_id` ASC) VISIBLE,
  CONSTRAINT `fk_empresa_users1`
    FOREIGN KEY (`users_id`)
    REFERENCES `users` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_empresa_tipoempresa1`
    FOREIGN KEY (`tipoempresa_id`)
    REFERENCES `tipoempresa` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `unidmedida`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `unidmedida` ;

CREATE TABLE IF NOT EXISTS `unidmedida` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(100) NOT NULL,
  `abreviatura` VARCHAR(10) NOT NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `material`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `material` ;

CREATE TABLE IF NOT EXISTS `material` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `codigo` VARCHAR(45) NOT NULL,
  `nombre` VARCHAR(450) NOT NULL,
  `peso` DECIMAL(9,2) NULL,
  `precio` DECIMAL(9,2) NULL,
  `detalles` VARCHAR(1000) NULL,
  `urlfoto` VARCHAR(1000) NOT NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  `users_id` BIGINT UNSIGNED NOT NULL,
  `unidmedida_id` INT NOT NULL,
  `estado` VARCHAR(15) NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_material_users1_idx` (`users_id` ASC) VISIBLE,
  INDEX `fk_material_unidmedida1_idx` (`unidmedida_id` ASC) VISIBLE,
  CONSTRAINT `fk_material_users1`
    FOREIGN KEY (`users_id`)
    REFERENCES `users` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_material_unidmedida1`
    FOREIGN KEY (`unidmedida_id`)
    REFERENCES `unidmedida` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `marca`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `marca` ;

CREATE TABLE IF NOT EXISTS `marca` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(450) NOT NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `vehiculo`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `vehiculo` ;

CREATE TABLE IF NOT EXISTS `vehiculo` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `placa` VARCHAR(45) NOT NULL,
  `modelo` VARCHAR(1000) NOT NULL,
  `detalles` VARCHAR(10000) NULL,
  `urltarjetapropiedad` VARCHAR(1000) NOT NULL,
  `urlvehiculo` VARCHAR(1000) NOT NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  `empresa_id` INT NOT NULL,
  `marca_id` INT NOT NULL,
  `estado` VARCHAR(15) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `placa_UNIQUE` (`placa` ASC) VISIBLE,
  INDEX `fk_vehiculo_empresa1_idx` (`empresa_id` ASC) VISIBLE,
  INDEX `fk_vehiculo_marca1_idx` (`marca_id` ASC) VISIBLE,
  CONSTRAINT `fk_vehiculo_empresa1`
    FOREIGN KEY (`empresa_id`)
    REFERENCES `empresa` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_vehiculo_marca1`
    FOREIGN KEY (`marca_id`)
    REFERENCES `marca` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `ptopartida`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `ptopartida` ;

CREATE TABLE IF NOT EXISTS `ptopartida` (
  `id` INT NOT NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  `empresa_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_ptopartida_empresa1_idx` (`empresa_id` ASC) VISIBLE,
  CONSTRAINT `fk_ptopartida_empresa1`
    FOREIGN KEY (`empresa_id`)
    REFERENCES `empresa` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `ptollegada`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `ptollegada` ;

CREATE TABLE IF NOT EXISTS `ptollegada` (
  `id` INT NOT NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  `empresa_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_ptollegada_empresa1_idx` (`empresa_id` ASC) VISIBLE,
  CONSTRAINT `fk_ptollegada_empresa1`
    FOREIGN KEY (`empresa_id`)
    REFERENCES `empresa` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `guiaremision`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `guiaremision` ;

CREATE TABLE IF NOT EXISTS `guiaremision` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `codigo` INT NOT NULL,
  `numero` INT NOT NULL,
  `fecemision` DATE NOT NULL,
  `fectraslado` DATE NOT NULL,
  `costo` DECIMAL(9,2) NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  `ptopartida_id` INT NOT NULL,
  `ptollegada_id` INT NOT NULL,
  `empresa_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_guiaremision_ptopartida1_idx` (`ptopartida_id` ASC) VISIBLE,
  INDEX `fk_guiaremision_ptollegada1_idx` (`ptollegada_id` ASC) VISIBLE,
  INDEX `fk_guiaremision_empresa1_idx` (`empresa_id` ASC) VISIBLE,
  CONSTRAINT `fk_guiaremision_ptopartida1`
    FOREIGN KEY (`ptopartida_id`)
    REFERENCES `ptopartida` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_guiaremision_ptollegada1`
    FOREIGN KEY (`ptollegada_id`)
    REFERENCES `ptollegada` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_guiaremision_empresa1`
    FOREIGN KEY (`empresa_id`)
    REFERENCES `empresa` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `guia_conductor`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `guia_conductor` ;

CREATE TABLE IF NOT EXISTS `guia_conductor` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  `persona_id` INT NOT NULL,
  `guiaremision_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_guia_conductor_persona1_idx` (`persona_id` ASC) VISIBLE,
  INDEX `fk_guia_conductor_guiaremision1_idx` (`guiaremision_id` ASC) VISIBLE,
  CONSTRAINT `fk_guia_conductor_persona1`
    FOREIGN KEY (`persona_id`)
    REFERENCES `persona` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_guia_conductor_guiaremision1`
    FOREIGN KEY (`guiaremision_id`)
    REFERENCES `guiaremision` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `guia_material`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `guia_material` ;

CREATE TABLE IF NOT EXISTS `guia_material` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `cantidad` DECIMAL(9,2) NULL,
  `peso` DECIMAL(9,2) NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  `guiaremision_id` INT NOT NULL,
  `material_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_guia_material_guiaremision1_idx` (`guiaremision_id` ASC) VISIBLE,
  INDEX `fk_guia_material_material1_idx` (`material_id` ASC) VISIBLE,
  CONSTRAINT `fk_guia_material_guiaremision1`
    FOREIGN KEY (`guiaremision_id`)
    REFERENCES `guiaremision` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_guia_material_material1`
    FOREIGN KEY (`material_id`)
    REFERENCES `material` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `motivotraslado`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `motivotraslado` ;

CREATE TABLE IF NOT EXISTS `motivotraslado` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(1000) NOT NULL,
  `orden` INT NOT NULL,
  `enfasis` TINYINT NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `guia_motivo`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `guia_motivo` ;

CREATE TABLE IF NOT EXISTS `guia_motivo` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  `motivotraslado_id` INT NOT NULL,
  `guiaremision_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_guia_motivo_motivotraslado1_idx` (`motivotraslado_id` ASC) VISIBLE,
  INDEX `fk_guia_motivo_guiaremision1_idx` (`guiaremision_id` ASC) VISIBLE,
  CONSTRAINT `fk_guia_motivo_motivotraslado1`
    FOREIGN KEY (`motivotraslado_id`)
    REFERENCES `motivotraslado` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_guia_motivo_guiaremision1`
    FOREIGN KEY (`guiaremision_id`)
    REFERENCES `guiaremision` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
